> ## Documentation Index
> Fetch the complete documentation index at: https://docs.impulsodigital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear un contacto

> Crea el contacto, o devuelve el que ya existía con ese teléfono (200). Incluye `conversation_id`.



## OpenAPI

````yaml /openapi.yaml post /contacts
openapi: 3.1.0
info:
  title: API de Impulso Digital
  version: '1.0'
  description: >
    Conecta tu CRM, tu tienda o un asistente de IA a una cuenta de Impulso
    Digital: envía mensajes y plantillas por WhatsApp, lee conversaciones,
    maneja contactos y mensajes programados, y recibe avisos (webhooks) de lo
    que pasa en la cuenta.
  contact:
    name: Impulso Digital
    url: https://impulsodigital.app
    email: soporte@impulsodigital.app
servers:
  - url: https://api.impulsodigital.app/v1
    description: Producción
security:
  - llave: []
tags:
  - name: Cuenta
  - name: Mensajes
  - name: Conversaciones
  - name: Contactos
  - name: Plantillas
  - name: Programados
  - name: Avisos
paths:
  /contacts:
    post:
      tags:
        - Contactos
      summary: Crear un contacto
      description: >-
        Crea el contacto, o devuelve el que ya existía con ese teléfono (200).
        Incluye `conversation_id`.
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - phone
              properties:
                name:
                  type: string
                  examples:
                    - Ana Ruiz
                phone:
                  type: string
                  examples:
                    - +57 310 555 0001
                number_id:
                  type: string
      responses:
        '200':
          description: Ya existía
        '201':
          description: Creado
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    allOf:
                      - $ref: '#/components/schemas/Contact'
                      - type: object
                        properties:
                          conversation_id:
                            type: string
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      description: >-
        Identificador tuyo para que un reintento no se procese dos veces (24 h,
        hasta 200 caracteres).
      schema:
        type: string
        maxLength: 200
  schemas:
    Contact:
      type: object
      properties:
        id:
          type: string
        phone:
          type: string
          examples:
            - '573105550001'
        whatsapp_id:
          type: string
        name:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        company:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        national_id:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        status:
          type: string
          examples:
            - new
            - active
            - lost
        is_buyer:
          type: boolean
        blocked:
          type: boolean
        accepts_messaging:
          type:
            - boolean
            - 'null'
        first_contact:
          type:
            - string
            - 'null'
          format: date-time
        last_contact:
          type:
            - string
            - 'null'
          format: date-time
        total_messages:
          type: integer
  securitySchemes:
    llave:
      type: http
      scheme: bearer
      description: >-
        Tu llave de API: `Authorization: Bearer imp_live_…`. También se acepta
        la cabecera `X-API-Key`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.